/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S

#ifndef _UTILS_H
#define _UTILS_H

#include <X11/Xlib.h>

#ifdef DEBUG
#define DBG(x) x
#else
#define DBG(x)
#endif

extern unsigned char xerror_variable; // To detect errors handled by xerror_handler

void err_exit(const char *fmt, ...);
void debug_info(const char *fmt, ...);
int xerror_handler(Display *display, XErrorEvent *xev);
void spawn_child(const char *cmd, ...);
void init_signals();

#endif
