/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S

#ifndef _WINLIST_WINDOW_H_
#define _WINLIST_WINDOW_H_

window *new_winlist_window(wm *wm);
px_widget *create_listbox(wm *wm, px_widget *frame, int *width, int *height, int *n);
Bool winlist_button_pressed(px_widget *pw, px_event *pxe);
Bool winlist_button_released(px_widget *pw, px_event *pxe);
Bool winlist_mouse_enter(px_widget *pw, px_event *pxe);
Bool winlist_mouse_leave(px_widget *pw, px_event *pxe);
void winlist_window_destroy(window *w);
void winlist_switch_to(wm *wm, const char *tag);

#endif
