/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S

#include <stdio.h>
#include "clock_glue.h"
#include "utils.h"
#include "alchemy.h"

void clock_start_clock(const char *theme_path)
{
	char env1[TMP_BUF_SIZE];
	char cmd[TMP_BUF_SIZE];

	sprintf(env1,"_AC_W_APPID=%d", AC_CLOCK_APPID);
	sprintf(cmd,CLOCK_CMDLINE,theme_path);
	spawn_child(cmd, env1, NULL);
}
