/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S

#ifndef _STAR_WINDOW_H_
#define _STAR_WINDOW_H_
#include <picowidget.h>

struct _star_menu_list {
	char *command;
	px_pixmap* pixmap;
	px_pixmap*active_pixmap;
	struct _star_menu_list* next;
};

window *new_star_window(wm *wm);
void star_window_delete_cache();
void star_window_destroy(window *w);
Bool star_button_pressed(px_widget *pw, px_event *pxe);
Bool star_button_released(px_widget *pw, px_event *pxe);
Bool star_mouse_enter(px_widget *pw, px_event *pxe);
Bool star_mouse_leave(px_widget *pw, px_event *pxe);

#endif
